Bug 164449 - RHEL4 [NETFILTER]: Fix deadlock in ip6_queue.
RHEL4 [NETFILTER]: Fix deadlock in ip6_queue.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Miller
Brian Brock
:
Depends On:
Blocks: 156322
  Show dependency treegraph
 
Reported: 2005-07-27 18:29 EDT by Linda Wang
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2005-514
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-05 09:45:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Linda Wang 2005-07-27 18:29:52 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050512 Red Hat/1.0.4-1.4.1 Firefox/1.0.4

Description of problem:
This bug was fixed in ip_queue already, but the ipv6
variant was overlooked at that time.

We have to explicitly disable software interrupts, else the locking in
the nf_reinject() path will end up potentially deadlocking with any
intervening software interrupt.



Version-Release number of selected component (if applicable):
kernel-2.6.9

How reproducible:
Always

Steps to Reproduce:
1.boot kernel
2.setup with IPV6
3.
  

Additional info:
Comment 6 Red Hat Bugzilla 2005-10-05 09:45:44 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-514.html

Note You need to log in before you can comment on or make changes to this bug.